. $psscriptroot\_echo.ps1

function global:mu.executarScriptPython() {
    param(
        $script,
        $argumentos
    )

    _echo "Aguarde, pode levar algum tempo para os logs serem exibidos..."

    $p = start-process -workingdirectory "$psscriptroot\scriptsPython" -filepath $python -argumentlist "$script $argumentos" -nonewwindow -wait -RedirectStandardOutput c:\temp\saida-comando-python -RedirectStandardError  c:\temp\erro-comando-python -PassThru

    

    foreach ($linha in get-content c:\temp\saida-comando-python) {
        _echo $linha
    }

    if (test-path c:\temp\erro-comando-python) {
        foreach ($linha in get-content c:\temp\erro-comando-python) {
            _echo $linha
        }
    }

    _echo "ExitCode do comando $script $argumentos => $($p.ExitCode)"

    return $p.ExitCode
}